NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.SpringbackCompensationBuilder Class Reference

Used to create or edit a NXOpen.Die.SpringbackCompensation feature. More...

Inheritance diagram for NXOpen.Die.SpringbackCompensationBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DefinedByType { OneStepFeature, FacetedBodies, Points }
 The type of input data that defines the compensation. More...
 
enum  DegreeType { Two, Three, Five, Seven }
 The polynomial degree type. More...
 
enum  ResultSheetType { Compensated, Sprung }
 The type of sheet body you would like created as output. More...
 

Public Member Functions

unsafe void GetProductPoints (out NXOpen.Point3d[] productPoints)
 Get the sample points on the product surface. More...
 
unsafe void GetSprungPoints (out NXOpen.Point3d[] sprungPoints)
 Get the sample points on the sprung surface. More...
 
unsafe void SetProductPoints (NXOpen.Point3d[] productPoints)
 Set the sample points on the product surface. More...
 
unsafe void SetSprungPoints (NXOpen.Point3d[] sprungPoints)
 Set the sample points on the sprung surface. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe bool CalculateMaxDeviation [get, set]
 Returns or sets the indication if the feature should calculate the maximum deviation of the result. More...
 
unsafe NXOpen.Direction ConvexityDirection [get, set]
 Returns or sets the convexity direction. More...
 
unsafe bool ConvexityEnabled [get, set]
 Returns or sets the toggle that determines whether to constrain convexity More...
 
unsafe bool CreateFacets [get, set]
 Returns or sets the value determines if a faceted output body is also created. More...
 
unsafe
NXOpen.Die.SpringbackCompensationBuilder.DefinedByType 
DefinedBy [get, set]
 Returns or sets the type of data that will be used to define the feature. More...
 
unsafe double DeformationFactor [get, set]
 Returns or sets the deformation factor determines how much of the calculated deformation is applied to the result body. More...
 
unsafe
NXOpen.Die.SpringbackCompensationBuilder.DegreeType 
Degree [get, set]
 Returns or sets the polynomial degree (one unit less than the order). More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe int Divisions [get, set]
 Returns or sets the number of equi-distant points to divide the cube of the sheet body (N x N x N). More...
 
unsafe NXOpen.Direction DrawVector [get, set]
 Returns or sets the vector indicating the draw direction. More...
 
unsafe NXOpen.Section InnerCurve [get]
 Returns the inner boundary curve of the transition area. More...
 
unsafe bool IsGlobalDeformation [get, set]
 Returns or sets the indication if the feature is a generic Global Deformation. More...
 
unsafe
NXOpen.Features.SelectFeature 
OneStep [get]
 Returns the one-step feature. More...
 
unsafe NXOpen.Section OuterCurve [get]
 Returns the outer boundary curve of transition area. More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
ProductFacets [get]
 Returns the product facets. More...
 
unsafe string ProductPointsFile [get, set]
 Returns or sets the product points file name. More...
 
unsafe NXOpen.SelectBody ProductSheet [get]
 Returns the sheet body representing the product shape. More...
 
unsafe
NXOpen.Die.SpringbackCompensationBuilder.ResultSheetType 
ResultType [get, set]
 Returns or sets the type of output to generate. More...
 
unsafe double ShapeValue [get, set]
 Returns or sets the parameter that determines the shape of the transition area. More...
 
unsafe double SmoothingFactor [get, set]
 Returns or sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body. More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
SprungFacets [get]
 Returns the sprung facets. More...
 
unsafe string SprungPointsFile [get, set]
 Returns or sets the sprung points file name. More...
 
unsafe double StepSize [get, set]
 Returns or sets the step size. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a NXOpen.Die.SpringbackCompensation feature.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateSpringbackCompensationBuilder

Default values.

Property Value

ConvexityEnabled

false

CreateFacets

false

DefinedBy

OneStepFeature

DeformationFactor

1

Degree

Two

Divisions

3

ResultType

Compensated

ShapeValue

0.5

SmoothingFactor

1e-009

StepSize

1.0

Created in NX7.5.0

Member Enumeration Documentation

The type of input data that defines the compensation.

Enumerator
OneStepFeature 

A One-Step feature.

FacetedBodies 

Facted bodies.

Points 

Points .

The polynomial degree type.

Acceptable degrees are 2, 3, 5, and 7.

Enumerator
Two 

Degree is 2

Three 

Degree is 3

Five 

Degree is 5

Seven 

Degree is 7

The type of sheet body you would like created as output.

Enumerator
Compensated 

Compensated sheet body.

Sprung 

Sprung sheet body.

Member Function Documentation

unsafe void NXOpen.Die.SpringbackCompensationBuilder.GetProductPoints ( out NXOpen.Point3d[]  productPoints)
inline

Get the sample points on the product surface.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points . Optional.

Created in NX7.5.0

License requirements: None.

Parameters
productPointsPoints representing the shape of the product.
unsafe void NXOpen.Die.SpringbackCompensationBuilder.GetSprungPoints ( out NXOpen.Point3d[]  sprungPoints)
inline

Get the sample points on the sprung surface.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points .

Created in NX7.5.0

License requirements: None.

Parameters
sprungPointsPoints representing the shape of the sprung sheet.
unsafe void NXOpen.Die.SpringbackCompensationBuilder.SetProductPoints ( NXOpen.Point3d[]  productPoints)
inline

Set the sample points on the product surface.

Must have the same number as sprung points. Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points . Optional.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
productPointsPoints representing the shape of the product.
unsafe void NXOpen.Die.SpringbackCompensationBuilder.SetSprungPoints ( NXOpen.Point3d[]  sprungPoints)
inline

Set the sample points on the sprung surface.

Must have the same number as product points. Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points .

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

Parameters
sprungPointsPoints representing the shape of the sprung sheet.

Property Documentation

unsafe double NXOpen.Die.SpringbackCompensationBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Die.SpringbackCompensationBuilder.CalculateMaxDeviation
getset

Returns or sets the indication if the feature should calculate the maximum deviation of the result.

True indicates the deviation should be calculated, false indicates the deviation will not be calculated.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Die.SpringbackCompensationBuilder.ConvexityDirection
getset

Returns or sets the convexity direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Die.SpringbackCompensationBuilder.ConvexityEnabled
getset

Returns or sets the toggle that determines whether to constrain convexity

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Die.SpringbackCompensationBuilder.CreateFacets
getset

Returns or sets the value determines if a faceted output body is also created.

True indicates to output a faceted body, false indicates that a faceted body is not output. Only when type is Die.SpringbackCompensationBuilder.DefinedByType.FacetedBodies

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Die.SpringbackCompensationBuilder.DefinedByType NXOpen.Die.SpringbackCompensationBuilder.DefinedBy
getset
unsafe double NXOpen.Die.SpringbackCompensationBuilder.DeformationFactor
getset

Returns or sets the deformation factor determines how much of the calculated deformation is applied to the result body.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Die.SpringbackCompensationBuilder.DegreeType NXOpen.Die.SpringbackCompensationBuilder.Degree
getset

Returns or sets the polynomial degree (one unit less than the order).

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Die.SpringbackCompensationBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Die.SpringbackCompensationBuilder.Divisions
getset

Returns or sets the number of equi-distant points to divide the cube of the sheet body (N x N x N).

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Die.SpringbackCompensationBuilder.DrawVector
getset

Returns or sets the vector indicating the draw direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Section NXOpen.Die.SpringbackCompensationBuilder.InnerCurve
get

Returns the inner boundary curve of the transition area.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.SpringbackCompensationBuilder.IsGlobalDeformation
getset

Returns or sets the indication if the feature is a generic Global Deformation.

True indicates the feature is a Global Deformation, false indicates the feature is not a Global Deformation.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SelectFeature NXOpen.Die.SpringbackCompensationBuilder.OneStep
get

Returns the one-step feature.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.OneStepFeature .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Die.SpringbackCompensationBuilder.OuterCurve
get

Returns the outer boundary curve of transition area.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Die.SpringbackCompensationBuilder.ProductFacets
get

Returns the product facets.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.FacetedBodies . Optional.

Created in NX7.5.0

License requirements: None.

unsafe string NXOpen.Die.SpringbackCompensationBuilder.ProductPointsFile
getset

Returns or sets the product points file name.

This is saved for reference only. The product points are actually defined by calling Die.SpringbackCompensationBuilder.SetProductPoints . Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points . Optional.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectBody NXOpen.Die.SpringbackCompensationBuilder.ProductSheet
get

Returns the sheet body representing the product shape.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.FacetedBodies or Die.SpringbackCompensationBuilder.DefinedByType.Points .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.SpringbackCompensationBuilder.ResultSheetType NXOpen.Die.SpringbackCompensationBuilder.ResultType
getset

Returns or sets the type of output to generate.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Die.SpringbackCompensationBuilder.ShapeValue
getset

Returns or sets the parameter that determines the shape of the transition area.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Die.SpringbackCompensationBuilder.SmoothingFactor
getset

Returns or sets the smoothing factor regulates a trade-off between interpolation error and smoothing when creating the result body.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Die.SpringbackCompensationBuilder.SprungFacets
get

Returns the sprung facets.

Only when type is Die.SpringbackCompensationBuilder.DefinedByType.FacetedBodies .

Created in NX7.5.0

License requirements: None.

unsafe string NXOpen.Die.SpringbackCompensationBuilder.SprungPointsFile
getset

Returns or sets the sprung points file name.

This is saved for reference only. The product points are actually defined by calling Die.SpringbackCompensationBuilder.SetSprungPoints . Only when type is Die.SpringbackCompensationBuilder.DefinedByType.Points . Optional.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Die.SpringbackCompensationBuilder.StepSize
getset

Returns or sets the step size.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.